Package twisted :: Package python :: Module formmethod :: Class Choice

[show private | hide private]
[frames | no frames]

## Class Choice

    Argument --+
               |
              Choice

Known Subclasses:
  `RadioGroup`, `Submit`

The result of a choice between enumerated types.

Method Summary
| `__init__(self, name, choices, default, shortDesc, longDesc, hints)`
| `addHint(self, hint)` (inherited from `Argument`)
| `coerce(self, inIdent)`
| `getLongDescription(self)` (inherited from `Argument`)
| `getShortDescription(self)` (inherited from `Argument`)

Generated by Epydoc 1.1 on Sat Feb 15 21:19:16 2003 | http://epydoc.sf.net